# Работа с встроенным в Samba 4 DNS сервером

## Запрос списка зон

```bash
# samba-tool dns zonelist 127.0.0.1 -U Administrator
```

## Запрос информации о DNS зоне

```bash
# samba-tool dns zoneinfo 127.0.0.1 local.acisi.ru -U Administrator
```

## Запрос всех DNS записей

```bash
# samba-tool dns query 127.0.0.1 local.acisi.ru @ ALL -U Administrator
```

## Смена типа DNS сервера (Встроенный/Bind9)

```bash
# samba_upgradedns --dns-backend=[BIND9_DLZ|SAMBA_INTERNAL]
```

## Создание зоны обратного просмотра для сети 192.168.13.0/24

samba-tool dns zonecreate 127.0.0.1 13.168.192.in-addr.arpa -Uadministrator

## Специфичные запросы

```bash
# dig _msdcs.local.acisi.ru @127.0.0.1 SOA
```
